Package com.xebialabs.xlrelease.domain.blackout

# Class BlackoutPeriod

java.lang.Object
com.xebialabs.xlrelease.domain.blackout.BlackoutPeriod

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class BlackoutPeriod extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlackoutPeriod(Date startDate, Date endDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlackoutPeriod`
  `apply(Date startDate, Date endDate)`
  `boolean`
  `canEqual(Object x$1)`
  `boolean`
  `contains(Date now)`
  `BlackoutPeriod`
  `copy(Date startDate, Date endDate)`
  `Date`
  `copy$default$1()`
  `Date`
  `copy$default$2()`
  `Date`
  `endDate()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `boolean`
  `overlapsWith(BlackoutPeriod other)`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `startDate()`
  `static long`
  `toLong(Date date)`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Date,Date>>`
  `unapply(BlackoutPeriod x$0)`
  `BlackoutPeriod`
  `unionWith(BlackoutPeriod other)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### BlackoutPeriod

    public BlackoutPeriod(Date startDate, Date endDate)

- ## Method Details

  - ### toLong

    public static long toLong(Date date)

  - ### apply

    public static BlackoutPeriod apply(Date startDate, Date endDate)

  - ### unapply

    public static scala.Option<scala.Tuple2<Date,Date>> unapply(BlackoutPeriod x$0)

  - ### startDate

    public Date startDate()

  - ### endDate

    public Date endDate()

  - ### contains

    public boolean contains(Date now)

  - ### overlapsWith

    public boolean overlapsWith(BlackoutPeriod other)

  - ### unionWith

    public BlackoutPeriod unionWith(BlackoutPeriod other)

  - ### copy

    public BlackoutPeriod copy(Date startDate, Date endDate)

  - ### copy$default$1

    public Date copy$default$1()

  - ### copy$default$2

    public Date copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`